<center>
# ~A tool to edit .desktop file actions and other properties and get text translations using translate-shell.~

Written by Bruce Steers
<p>


What started as a simple tool to edit \[Desktop Action\] properties of an icon
soon developed into a tool to edit and retrieve translations for icons using [translate-shell](https://www.soimort.org/translate-shell)
</center>

<hr>
<p>

## ~Info...~
translate-shell can use the following translation engines.
* aspell
* google (default)
*  bing
* spell
* hunspell
* apertium
* yandex

This is primarily a tool for editing the \[Desktop Action\] properties of an icon. everything else is a feature.

A \[Desktop Action\] property of an icon denotes the additional menus that pop up when clicking an icon in a desktop panel or launcher or similar.

 (see below for an example)

## ~Features...~

* Add / Insert / Remove actions for a .desktop file
'
* Edit actions Keyname (it's identifier) , Name (Text to display) and Exec (command to run) properties.
'
* Add / Remove language specific items and/or edit them, eg Name\[fr\] Name\[de\] etc.
'
* Edit the .desktop files main entries default action  (Name, GenericName, Comment and Exec)
'
* Use translate-shell to get new translations for all properties. ALL translate-shell main Locale types are supported.

## ~How to use main page...~
* Launching from terminal you can supply a file path as an argument to open on startup. Otherwise a dialog will open to select a file.
'
* Double click will also open dialog.
'
* Main page is for adding/removing/editing the actions.
'
* Select "Edit main ico data" to edit main properties and save or forget when done (does not save to icon unless you press the main save button)
'
* Use translate-shell to get translations for single actions or all at once.
'
* Use translate-shell to get translations for main icon fields.


## ~How to use the translation feature.~

Select a single action and translate the selected or transate all action texts at once.

Select from any number of languages supported by translate-shell.

Hit "Add" translations and additional translated fields are added to your icon.

Main icon entries can also be translated.

 
<table border=1>
<tr><td align=center>

This is an example of one of my .desktop files\
This allows me to run my application with either a QT or a GTK interface
depending on the menu item i choose in the panel launcher.\

'
</td></tr>
'
<tr><td>
<pre>
<font size=-1>
\[Desktop Entry\]
Type=Application
Exec=/media/bonus/SSDiskspace/git/scripted-newgambas/scripted.gambas
Icon=/media/bonus/SSDiskspace/git/scripted-newgambas/scripted.png
Name=ScriptED
Comment=ScriptED.gambas by Bruce Steers
Actions=QT5;GTK

\[Desktop Action QT5\]
Name=GB_GUI QT5
Exec=env GB_GUI=gb.qt5 /media/bonus/SSDiskspace/git/scripted-newgambas/scripted.gambas

\[Desktop Action GTK\]
Name=GB_GUI GTK2
Exec=env GB_GUI=gb.gtk /media/bonus/SSDiskspace/git/scripted-newgambas/scripted.gambas
</font>
</pre>
</td></tr>
</table>